;**************************************************************************
;
;                 PVK40 + K2 + MU Beta example : Wire
;
; Processor : PIC16F84A
; Clock : XT 3.2768 MHz
;
; On your PVK40 board set DIP switches according to following way:
; 1) Switch off all DIP switches except:
; 2) Switch on B3 LED on S11
;**************************************************************************
; Assembler directives :
        list    p = PIC16F84A   ; processor type
        __config 0x3FF1         ; configuration setting
;--------------------------------------------------------------------------
; Symbol definition :
status  equ     0x03            ;status is on the 0x03 address
portb   equ     0x06
trisb   equ     0x06            ;direct addressing
;
#define PB      portb,0         ;pushbutton 0 is on the RB0 pin
#define LED     portb,4         ;LED is on the RB4 pin
#define RP0     status,5        ;RP0 is bit 5 in status register
;--------------------------------------------------------------------------
        org     0               ;program starts at address 0x000
        bsf     RP0             ;bank 1 in RAM memory
        movlw   B'11101111'
        movwf   trisb           ;pin RB4 is output
        bcf     RP0             ;bank 0 in RAM memory
;
Main:   btfss   PB              ;is PB 0 or 1?
        goto    Main_A          ;if PB=0, jump to main_A
        bcf     LED             ;PB=1, LED off
        goto    Main            ;closes the loop
Main_A: bsf     LED             ;LED on
        goto    Main            ;closes the loop
;**************************************************************************
; end of PVK40 + K2 + MU Beta example : Wire
        end
