;**************************************************************************
;
;                 PVK40 + K2 + MU Beta example : Blink
;
; Processor : PIC16F84A
; Clock : XT 3.2768 MHz
;
; On your PVK40 board set DIP switches according to following way:
; 1) Switch off all DIP switches except:
; 2) Switch on B3 LED on S11
;**************************************************************************
; Assembler directives :
        list    p = PIC16F84A   ; processor type
        __config 0x3FF1         ; configuration setting
;--------------------------------------------------------------------------
; Special Function Register definition :
status  equ     0x03            ;status is on the 0x03 address
portb   equ     0x06
trisb   equ     0x06            ;direct addressing
; General Purpose Register definition :
cnt1    equ     0x10            ;used for Wait subroutine
cnt2    equ     0x11            ;used for Wait subroutine
cnt3    equ     0x12            ;used for Wait subroutine
; Destination definition :
w       equ     0x00
f       equ     0x01
; Bits definition :
#define LED     portb,4         ;LED is on the RB4 pin
#define RP0     status,5        ;RP0 is bit 5 in status register
;--------------------------------------------------------------------------
        org     0               ;program starts at address 0x000
        bsf     RP0             ;bank 1 in RAM memory
        movlw   B'11101111'
        movwf   trisb           ;pin RB4 is output
        bcf     RP0             ;bank 0 in RAM memory
;
Main:   bsf     LED             ;LED on
        call    Wait            ;wait 0.5 second
        bcf     LED             ;LED off
        call    Wait            ;wait 0.5 second
        goto    Main            ;closes the loop
;--------------------------------------------------------------------------
Wait:   movlw   0x05            ;this subroutine wait 0.5 second
        movwf   cnt3            ;1 cycle = 1/(Fosc/4) second =>
Wait_A: movlw   0x6B            ;=> we need 409600 cycles
        movwf   cnt2            ;0x05*0x6B*0xFF*3 = 409275
Wait_B: movlw   0xFF
        movwf   cnt1
Wait_C: decfsz  cnt1,f          ;decrement cnt1
        goto    Wait_C
        decfsz  cnt2,f          ;and if cnt1=0 then decrement cnt2
        goto    Wait_B
        decfsz  cnt3,f          ;and if cnt2=0 then decrement cnt3
        goto    Wait_A
        return                  ;if cnt3=0 then return
;**************************************************************************
; end of PVK40 + K2 + MU Beta example : Blink
        end
