;**************************************************************************
;
;                 PVK40 + K2 + MU Beta example : A/D Converter
;
; Processor : PIC16C710
; Clock : XT 3.2768 MHz
;
; On your PVK40 board set DIP switches according to following way:
; 1) Switch off all DIP switches except:
; 2) Switch on PHOTO on S9
; 3) Switch on B3 LED on S11
;**************************************************************************
; Assembler directives :
        list    p = PIC16C710   ; processor type
        __config 0x3FF9         ; configuration setting
;--------------------------------------------------------------------------
; Special Function Register definition :
        #include <P16c710.INC>
; General Purpose Register definition :
cnt1    equ     0x10            ;used for Wait subroutine
cnt2    equ     0x11
; Bits definition :
#define LED     portb,4         ;LED is on the RB4 pin
;--------------------------------------------------------------------------
        org     0               ;program starts at address 0x000
Start:  bcf     LED
        bsf     status,RP0      ;bank 1
        movlw   B'11101111'     ;pin RB4 is output
        movwf   trisb
        movlw   B'00000000'     ;pin RA0 is analog input
        movwf   adcon1
        bcf     status,RP0      ;bank 0
        movlw   B'01000001'     ;enable A/D converter module
        movwf   adcon0
        call    Wait            ;A/D acquisition time
;
Main:   bsf     adcon0,GO       ;start conversion
Adw:    btfsc   adcon0,GO       ;wait for A/D conversion to complete
        goto    Adw
;
        bsf     LED             ;turn on the LED
        movf    adres,w         ;copy adres+1 to cnt2
        addlw   0x01
        movwf   cnt2
W_A:    call    Wait            ;wait 2x 770 cycles
        call    Wait
        decfsz  cnt2,f          ;decrement cnt2
        goto    W_A
;
        bcf     LED             ;turn off the LED
        movf    adres,w         ;copy adres+1 to cnt2
        addlw   0x01
        movwf   cnt2
W_B:    call    Wait            ;wait 2x 770 cycles
        call    Wait
        decfsz  cnt2,f          ;decrement cnt2
        goto    W_B
        goto    Main            ;closes the loop
;--------------------------------------------------------------------------
; Subroutines :
Wait:   movlw   0xFF            ;this subroutine wait 770 cycles
        movwf   cnt1
Wait_B: decfsz  cnt1,f          ;decrement cnt1
        goto    Wait_B
        return                  ;if cnt1=0 then return
;**************************************************************************
; end of PVK40 + K2 + MU Beta example : A/D Converter
        end
