;**************************************************************************
;
; PVK40 + K2 + MU Beta example : Infra-red Reflective photoelectric sensor
;
; Processor : PIC16F627
; Clock : INTIO 4 MHz
;
; On your PVK40 board set DIP switches according to following way:
; 1) Switch off all DIP switches except:
; 2) Switch on B3 LED on S11
; 3) Switch on B5 IRF_TX on S11
; 4) Switch on C0 IRF_RX on S11
;**************************************************************************
; Assembler directives :
        list    p = PIC16F627   ; processor type
        __config 0x3F70         ; configuration setting
;--------------------------------------------------------------------------
; Special Function Register definition :
        #include <P16f627.INC>
; General Purpose Register definition :
cnt1    equ     0x20            ;used in Wait subroutine
; Bits definition :
#define IRFRX   portb,1         ;IR input
#define IRFTX   porta,6         ;IR output
#define LED     portb,4         ;LED
;--------------------------------------------------------------------------
        org     0               ;program starts at address 0x000
Start:  bsf     status,RP0      ;bank 1
        movlw   B'10111111'     ;pins RA6,RB4 are outputs
        movwf   trisa
        movlw   B'11101111'
        movwf   trisb
        bcf     status,RP0      ;bank 0
;
Main:   btfsc   IRFRX           ;test input
        bsf     LED             ;turn on the LED
        btfss   IRFRX
        bcf     LED             ;turn off the LED
        bsf     IRFTX           ;turn on IR LED
        nop
        nop
        bcf     IRFTX           ;turn off IR LED
        call    Wait            ;wait 18 us -> period = 28 us
        goto    Main            ;closes the loop
;--------------------------------------------------------------------------
; Subroutines :
Wait:   movlw   0x04            ;this subroutine wait 18 cycles
        movwf   cnt1
Wait_B: decfsz  cnt1,f          ;decrement cnt1
        goto    Wait_B
        nop                     ;if cnt1=0 then return
        return
;**************************************************************************
; end of PVK40 + K2 + MU Beta example : IR Reflective photoel. sensor
        end
