/*============================================================================

                  PVK40 + K2 + MU Beta example : Wire

 Compiler/IDE : PICC-Lite and IDEA

 Processor : PIC16F84A
 Clock : XT 3.2768 MHz

 On your PVK40 board set DIP switches according to following way:
 1) Switch off all DIP switches except:
 2) Switch on B3 LED on S11

============================================================================*/


/*============================================================================

       INCLUDE

============================================================================*/
#include <pic.h>


/*============================================================================

       Configuration Bits

============================================================================*/
__CONFIG(UNPROTECT & PWRTEN & WDTDIS & XT); 


/*============================================================================

       User definition

============================================================================*/
#define PORTBIT(adr,bit) ((unsigned)(&adr)*8+(bit)) //no modify this line

static bit button @ PORTBIT(PORTB,0);
static bit led @ PORTBIT(PORTB,4);


/*============================================================================

       Program

============================================================================*/

int main(void)
{

  TRISB=0xEF;

  for(;;) {
    if (button==1)
      led=0;
    else
      led=1;
  }

}
