/*============================================================================

                    PVK40 + K2 + MU Beta example : Display

 Compiler/IDE : PICC-Lite and IDEA

 Processor : PIC16F84A
 Clock : XT 3.2768 MHz

 On your PVK40 board set DIP switches according to following way:
 1) Switch off all DIP switches except:
 2) Switch on B0,1,2,4 DISP on S11

============================================================================*/


/*============================================================================

       INCLUDE

============================================================================*/
#include <pic.h>


/*============================================================================

       Configuration Bits

============================================================================*/
__CONFIG(UNPROTECT & PWRTEN & WDTDIS & XT); 


/*============================================================================

       User definition

============================================================================*/
#define PORTBIT(adr,bit) ((unsigned)(&adr)*8+(bit)) //no modify this line

char segment[8] = {0xF9,0xA4,0xB0,0x99,0x92,0x82,0xF8,0x80}; /*12345678*/

unsigned char buttons @ (unsigned char)&PORTB;


/*============================================================================

       Program

============================================================================*/

int main(void)
{
  unsigned char i;
  unsigned char temp;

  PORTA=0xFF;
  TRISA=0xFD;

  for(;;) {
    TRISB=0xFF;      /* PORTB input */
    asm("nop");      /*need to wait before reading to have the right value*/
    asm("nop");
    temp=buttons;
    TRISB=0x00;

    for(i=0;i<8;i++) {
      if (!(temp&1)) {
        PORTB=segment[i];    /*show i+1 on the right display*/
        PORTA=0xFD;
        break; 
      }
      temp>>=1;
    }

    if (i==8) PORTA=0xFF;
  }
}
