/*============================================================================

                PVK40 + K2 + MU Beta example : LCD - Hello,World!

 Compiler/IDE : PICC-Lite and IDEA

 Processor : PIC16F627
 Clock : INTIO 4MHz

 On your PVK40 board :
 1) Insert MC1602 LCD module into LCD_DISPLAY_CONNECTOR
 2) Switch off all DIP switches

============================================================================*/


/*============================================================================

       INCLUDE

============================================================================*/
#include <pic.h>
#include "lcd.h"

/*============================================================================

       Configuration Bits

============================================================================*/
__CONFIG(UNPROTECT & PWRTEN & WDTDIS & LVPDIS & INTIO);

/*============================================================================

       User definition

============================================================================*/

#define PORTBIT(adr,bit) ((unsigned)(&adr)*8+(bit)) //don't modify this line

/*============================================================================

       Program

============================================================================*/

void lcd_puts(const char *s)
{
  while(*s) {        
    DispWrByte(*(s++),1,50);
  }
}

int main(void)
{
  DispHwInit();

  lcd_puts(" Hello, World!");

  for(;;);
}
